# Manage White List

## Manage White List

The Manage White List API allows managing the white list for ACH names. In this version, it supports only retrieving names from a white list.

## Input Parameters:

| Name          | Required | Definition            | Comments |
| ------------- | -------- | --------------------- | -------- |
| DDA           | Y        | Format: Numeric, 3-16 |          |
| OperationType | N        | Format: View          |          |

## Output Parameters:

| Name | Definition               | Failure Case | Success Case | Comments                           |
| ---- | ------------------------ | ------------ | ------------ | ---------------------------------- |
| Name | Format: Alphanumeric, 22 | Not returned | Returned     | Returned as part of Names/Name tag |

## XML Samples

### Input XML

```json
<?xml version="1.0" ?>
<PraxellXMLRequest>
    <AuthenticationDetails>
        <UserName>test_pm</UserName>
        <UserPassword>test_pm</UserPassword>
      <ClientSourceIP></ClientSourceIP> 
 </AuthenticationDetails>;
    <ServiceDetails>
        <UniqueRequestId>1212121212121213</UniqueRequestId>
            <ServiceName>ManageWhiteList</ServiceName>
    </ServiceDetails>
        <Origin>
            <OriginType>ExtAPI</OriginType>
        </Origin>
    <ServiceParams>
        <DDA>1111000235705</DDA>
        <OperationType>View</OperationType>
    </ServiceParams>
</PraxellXMLRequest>
```

```json
<?xml version="1.0" ?>
  <PraxellXMLResponse> 
  <ResponseDetails>
      <ServiceName>managewhitelist</ServiceName> 
      <SessionId></SessionId> 
      <StatusCode></StatusCode> 
      <StatusName>Status</StatusName> 
      <StatusDescription>NA</StatusDescription> 
      <ServiceDate></ServiceDate> 
      <ServiceId></ServiceId> 
   </ResponseDetails>
   <ResponseParams>
     <Names>
       <Name></Name>
       <Name></Name>
       <Name></Name>
       <Name></Name>
    </Names>
  </ResponseParams>
</PraxellXMLResponse>
```

```json
<?xml version="1.0"?>
<PraxellXMLResponse>
  <ResponseDetails>
    <ServiceName>managewhitelist</ServiceName>
    <SessionId>07071612200737105</SessionId>
    <StatusCode>70029</StatusCode>
    <StatusName>Data not found (cardholder not found)</StatusName>
    <StatusDescription>Data not found (cardholder not found)</StatusDescription>
    <ServiceDate>2021-10-01 12:37:50</ServiceDate>
    <ServiceId>07071612200737105</ServiceId>
  </ResponseDetails>
  <ResponseParams>
  </ResponseParams>
</PraxellXMLResponse>
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://apidocs.juicefin.com/apis/administration/manage-white-list.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
